Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 12 Jul 2022 16:07:56 +0000

Hi Mohammed yahya,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns In response to Customer Service case # 4386434:

I apologize for the gap in time to respond to your email. I was on business travel and unable to respond to personal emails. Because Splash has not refunded my credit card, as requested as identified in your policy,  and does not send ordered items to the US ; for return number 100212906/ order 7358255464, to resolve the problem. I have provided my credit refund information to a friend  so that she is able to shop locally in Bahrain on my behalf.  What can I do to ensure that she has a positive experience whether she takes the credit information to Centrepoint or shops online at Splash?

My US number is 1 980-355-2260
Thank you,

Lauren D. Neal https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4611897